import React from "react";

type ManagedFormElement<T = string> = UnmanangedFormElement & {
  onChange: (v: T) => void;
  value: T;
}

type UnmanangedFormElement = {
  className?: string;
  disabled?: boolean;
  label?: React.ReactNode;
  nullable?: boolean;
  placeholder?: string;
}

export type FormElement<T = string> =
  & (ManagedFormElement<T> | UnmanangedFormElement)
